Skip to main content

Save task as template

POST
/task-templates

Creates an independent snapshot of the saved task without its project, status, or execution history.

Contract

Parameter
Value
Sectiontask-templates
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectSource task, template name, and template description
  • {
      "description": "<string>",
      "name": "<string>",
      "sourceTaskID": 0
    }

Responses

5 responses

Status
Description
Type
201
Response: {data: <new template id>}object
400
Invalid request body or metadataobject
401
Unauthorizedobject
404
Source task not foundobject
500
Internal server errorobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }